## Index

### Classes

- Metadata

### Type aliases

- MetadataWithSortKey

### Functions

- filterBy
- filterByFirst
- hasSortKey

## Type aliases

### MetadataWithSortKey

MetadataWithSortKey: Omit<Metadata<T>, "getSortKey"> & object

- Defined in decorator/metadata/metadata.ts:8

## Functions

### filterBy

- filterBy<T, R>(modelOptions: ModelMetadata<T>, predicate: function, defaultValue: R): Array<PropertyMetadata<any>> | R

- - Defined in decorator/metadata/metadata.ts:118

  #### Type parameters

  - #### T

  - #### R

  #### Parameters

  - ##### modelOptions: ModelMetadata<T>

  - ##### predicate: function

    - - (property: PropertyMetadata<any>): boolean

      - #### Parameters

        - ##### property: PropertyMetadata<any>

        #### Returns boolean

  - ##### defaultValue: R

  #### Returns Array<PropertyMetadata<any>> | R

### filterByFirst

- filterByFirst<T>(modelOptions: ModelMetadata<T>, predicate: function): PropertyMetadata<T> | null

- - Defined in decorator/metadata/metadata.ts:133

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelOptions: ModelMetadata<T>

  - ##### predicate: function

    - - (property: PropertyMetadata<T>): boolean

      - #### Parameters

        - ##### property: PropertyMetadata<T>

        #### Returns boolean

  #### Returns PropertyMetadata<T> | null

### hasSortKey

- hasSortKey<T>(metadata: Metadata<T>): boolean

- - Defined in decorator/metadata/metadata.ts:13

  Checks if given metadata returns a sort key when calling metadata.getSortKey

  #### Type parameters

  - #### T

  #### Parameters

  - ##### metadata: Metadata<T>

  #### Returns boolean

Generated using TypeDoc